%define	version 0.3.1
%define name kvoice
%define release 3mdk

Name: %{name}
Summary: KVoice
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.bz2
Group: Graphical desktop/KDE
Copyright: GPL
BuildRoot: /var/tmp/%{name}-buildroot
Requires: qt-egcs-10x kdelibs >= 1.0

%description
Voice utility for modems.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n kvoice

%build
libtoolize --force
export KDEDIR=/usr/
CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=$KDEDIR --with-install-root=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT    
uname -a|grep SMP && make -j 2 KDEDIR=$KDEDIR || make KDEDIR=$KDEDIR

%install
export KDEDIR=/usr
make prefix=$RPM_BUILD_ROOT$KDEDIR install

rm -rf $RPM_BUILD_ROOT/usr/share/applnk
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
cat <<EOF >$RPM_BUILD_ROOT/usr/lib/menu/%{name}
?package(%{name}):command="kvoice" icon="none" needs="x11" section="Applications/Communications" title="KVoice"
EOF

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.%{name}
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}


%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x /usr/bin/update-menus ]; then
	/usr/bin/update-menus
fi

%postun
if [ "$1" = 0 ]; then
	if [ -x /usr/bin/update-menus ]; then
		/usr/bin/update-menus
	fi
fi

%files -f ../file.list.%{name} 

%changelog
* Fri Mar 31 2000 Franois Pons <fpons@mandrakesoft.com> 0.3.1-3mdk
- updated Group.
- added menu entry.

* Fri Jan 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 
- Libtoolize --force.

* Mon Nov 25 1999 Camille Begnis <camille@mandrakesoft.com>
- 0.3.1
- spec clean-up
- added requirement kdelibs >= 1.0 and removed others dependant
- SMP compilation
 
* Mon Jul 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

